{namespace blog=T3G\AgencyPack\Blog\ViewHelpers}
<f:layout name="Widget" />

<f:section name="content">
    <h5 class="widget-title"><f:translate key="headline.recentcomments"/></h5>
    <ul id="recentcomments" class="list list-unstyled">
        <f:for each="{comments}" as="comment" iteration="iterator">
            <hr>
        <li><i class="far fa-comments"></i>&nbsp;
            <f:format.date format="d.m.Y">{comment.crdate}</f:format.date> |
            <span class="comment-author-link">
                <f:if condition="{comment.url}">
                    <f:then><f:link.external uri="{comment.url}" target="_blank" rel="external nofollow" class="url">{comment.name}</f:link.external></f:then>
                    <f:else>{comment.name}</f:else>
                </f:if>
            </span> - <blog:link.post post="{comment.post}" section="comment-{comment.uid}">{comment.post.title}</blog:link.post>
            <br/><f:format.crop maxCharacters="100" append="&nbsp;[...]">{comment.comment}</f:format.crop>
        </li>
            <f:if condition="{iterator.isLast}"><hr></f:if>
        </f:for>
    </ul>
</f:section>
